### Method

# Ide Debugger modify_breakpoint_async

#### Declaration

    void
    ide_debugger_modify_breakpoint_async (
      IdeDebugger* self,
      IdeDebuggerBreakpointChange change,
      IdeDebuggerBreakpoint* breakpoint,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously requests that a breakpoint is modified by the debugger backend.

Specify `change` for how to modify the breakpoint.

This asynchronous function may complete before the breakpoint has been modified by the debugger. Debugger implementations will emit `IdeDebugger::breakpoint-modified` when a breakpoint has been removed.

Available since: | 3.32

#### Parameters

`change` | `IdeDebuggerBreakpointChange`
| An `IdeDebuggerBreakpointChange`.
`breakpoint` | `IdeDebuggerBreakpoint`
| An `IdeDebuggerBreakpoint`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| An async callback to complete the operation.
| The argument can be `NULL`.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.